Summary:	Abstract network code for X
Name:		x11-xtrans-devel
Version:	1.3.5
Release:	1
License:	MIT
Group:		Development/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/xtrans-%{version}.tar.bz2
Source10:	%{name}.rpmlintrc
Patch0:		xtrans-1.2.7-tirpc.patch
# From Fedora:
Patch1:		xtrans-1.0.3-avoid-gethostname.patch

BuildRequires:	pkgconfig(xorg-macros)

%description
Abstract network code for X.

%files
%doc doc/xtrans.xml
%{_datadir}/pkgconfig/xtrans.pc
%{_datadir}/aclocal/xtrans.m4
%{_includedir}/X11/Xtrans/Xtransint.h
%{_includedir}/X11/Xtrans/Xtrans.h
%{_includedir}/X11/Xtrans/Xtrans.c
%{_includedir}/X11/Xtrans/Xtranslcl.c
%{_includedir}/X11/Xtrans/Xtranssock.c
%{_includedir}/X11/Xtrans/Xtransutil.c
%{_includedir}/X11/Xtrans/transport.c

#----------------------------------------------------------------------------

%prep
%setup -qn xtrans-%{version}
%apply_patches

%build
aclocal
automake -a
autoconf

%configure
%make

%install
%makeinstall_std
rm %{buildroot}%{_datadir}/doc/xtrans/xtrans.*


%changelog

* Tue Sep 01 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.3.5-1
- (a07c93c) Updated to version 1.3.5 with an additional patch from Fedora


